import React from 'react'
import { BrowserRouter,Routes,Route } from 'react-router-dom'
import Header from './comps_general/header'
import Home from './comps_pages/home'
import Page404 from './comps_pages/page404'
import Upload from './comps_pages/upload'
import LoginTest from './comps_pages/loginTest'

export default function AppRouters() {
  return (
    <BrowserRouter>
      <Header />
      <Routes>
        <Route path="/" element={<Home />} />
        <Route path="/upload" element={<Upload />} />
        <Route path="/login" element={<LoginTest />} />
        <Route path="/*" element={<Page404 />} />
      </Routes>
    </BrowserRouter>
  )
}
