
import React from 'react'
import { useForm } from "react-hook-form"


export default function LoginTest() {
  const { register, handleSubmit, formState: { errors } } = useForm();


  const onSubForm = (_bodyData) => {
    console.log(_bodyData);
    
  }

 

  return (
    <div className='container'>
      <h1 className='text-center'>Log in form</h1>
      <form onSubmit={handleSubmit(onSubForm)} className='mx-auto col-md-6' id="id_form" >
        <label>email</label>
        <input {...register("email", { required: true, minLength: 2 })} className="form-control" type="email" />
        {errors.email && <div className="text-danger">* Enter valid email</div>}
        <label>password</label>
        <input {...register("password", { required: true, minLength: 2 })} className="form-control" type="password" />
        {errors.password && <div className="text-danger">* Enter valid password</div>}
        <button className='btn btn-dark mt-3'>login</button>
      </form>
    </div>
  )
}
